import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Assignment } from '../assignment.model';

@Component({
  selector: 'app-add-assignment',
  templateUrl: './add-assignment.component.html',
  styleUrls: ['./add-assignment.component.css']
})
export class AddAssignmentComponent implements OnInit {
  @Output() nouvelAssignment = new EventEmitter<Assignment>();

  // associées au champs input du formulaire
  nomDevoir = "";
  dateDeRendu!:Date;

  constructor() { }

  ngOnInit(): void {
  }

  onSubmit() {
    console.log("NOM = " + this.nomDevoir);
    console.log("DATE = " + this.dateDeRendu);

    const newAssignment = new Assignment();
    newAssignment.nom = this.nomDevoir;
    newAssignment.dateDeRendu = this.dateDeRendu;
    newAssignment.rendu = false;

    // et on l'ajoute au tableau
    //this.assignments.push(newAssignment);

    // envoie de l'assignment créé via un event emitter
    this.nouvelAssignment.emit(newAssignment);
  }
}
