import { Component, OnInit } from '@angular/core';
import { AssignmentsService } from '../shared/assignments.service';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  titre = 'Gestion des assignments';
  ajoutActive = false;
  assignmentSelectionne?: Assignment;
  formVisible = false;
  assignments: Assignment[] = [];

  constructor(private assignmentService: AssignmentsService) {}

  ngOnInit(): void {
    this.assignmentService.getAssignments()
    .subscribe((assignments) => {
      this.assignments = assignments;
    });
  }

  getColor(a: any) {
    return a.rendu ? 'green' : 'red';
  }

  assignmentClique(assignment: Assignment) {
    this.assignmentSelectionne = assignment;
    console.log('Assignment clique : ' + this.assignmentSelectionne.nom);
  }

  onAddAssignmentBtnClick() {
    this.formVisible = true;
  }

  onNouvelAssignment(assignment: Assignment) {
    //this.assignments.push(assignment);

    this.assignmentService.addAssignment(assignment)
    .subscribe(message => {
      console.log(message);

      // et on re-affiche la liste dans le subscribe car on est
      // sur que l'assignment a été ajouté !!!!
      this.formVisible = false;
    })
  }
}
